# Package weka.core.pmml

package weka.core.pmml

Related Packages
Package
Description
weka.core
Class
Description
BuiltInArithmetic
Built-in function for +, -, *, /.
BuiltInMath
Built-in function for min, max, sum, avg, log10, ln, sqrt, abs, exp, pow, threshold, floor, ceil and round.
BuiltInString
Built-in function for uppercase, substring and trimblanks.
Constant
Class encapsulating a Constant Expression.
DefineFunction
Class encapsulating DefineFunction (used in TransformationDictionary).
DerivedFieldMetaInfo
Discretize
Class encapsulating a Discretize Expression.
Expression
FieldMetaInfo
Abstract superclass for various types of field meta data.
FieldMetaInfo.Interval
Inner class for an Interval.
FieldMetaInfo.Interval.Closure
Enumerated type for the closure.
FieldMetaInfo.Optype
Enumerated type for the Optype
FieldMetaInfo.Value
Inner class for Values
FieldMetaInfo.Value.Property
Enumerated type for the property.
FieldRef
Class encapsulating a FieldRef Expression.
Function
Abstract superclass for PMML built-in and DefineFunctions.
MappingInfo
Class that maintains the mapping between incoming data set structure and that of the mining schema.
MiningFieldMetaInfo
Class encapsulating information about a MiningField.
MiningSchema
This class encapsulates the mining schema from a PMML xml file.
NormContinuous
Class encapsulating a NormContinuous Expression.
NormDiscrete
Class encapsulating a NormDiscrete Expression.
PMMLFactory
This class is a factory class for reading/writing PMML models
PMMLModel
Interface for all PMML models
PMMLUtils
Utility routines.
TargetMetaInfo
Class to encapsulate information about a Target.